Subject: bug#66772: 30.0.50; Other directory build fails on OpenBSD

From: Eli Zaretskii <[email-masked]>
Date: Fri, 27 Oct 2023 13:42:42 +0300

> Date: Fri, 27 Oct 2023 11:07:10 +0200
> From:  Manuel Giraud via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> Emacs is built correctly from the source directory but when I try to
> build from another directory (as describe in INSTALL) it fails.  I have
> entered the following commands:
> 
>         $ env CC=egcc MAKEINFO=gmakeinfo ~/emacs-repo/configure
>         $ make
> 
> And here is the error I get:
> 
> --8<---------------cut here---------------start------------->8---
>   CCLD     emacsclient
> In file included from /usr/include/signal.h:38,
>                  from /home/manuel/emacs-repo/lib-src/../lib/signal.h:52,
>                  from /home/manuel/emacs-repo/lib-src/../lib/sys/select.h:131,
>                  from ../lib/sys/select.h:57,
>                  from /usr/include/sys/time.h:38,
>                  from /home/manuel/emacs-repo/lib-src/../lib/sys/time.h:46,
>                  from ../lib/sys/time.h:46,
>                  from /usr/include/sys/siginfo.h:130,
>                  from /usr/include/sys/wait.h:39,
>                  from /home/manuel/emacs-repo/lib-src/../src/syswait.h:29,
>                  from /home/manuel/emacs-repo/lib-src/emacsclient.c:50:
> /usr/include/sys/signal.h:115:48: error: unknown type name 'siginfo_t'
>   115 |                 void    (*__sa_sigaction)(int, siginfo_t *, void *);
>       |                                                ^~~~~~~~~

Please try to figure out why this happens, and how does the in-place
build avoid this, as I don't have access to an OpenBSD system to do
that myself.

Thanks.